commit:     c30a0a9f55ee0bcf7847ec07b0c2c3c92ee64d87
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 27 03:08:47 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul 27 03:29:26 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c30a0a9f

dev-python/pygit2: Bump to 1.18.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pygit2/Manifest             |  1 +
 dev-python/pygit2/pygit2-1.18.1.ebuild | 47 ++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/pygit2/Manifest b/dev-python/pygit2/Manifest
index 840d49b5092b..37b538a302e0 100644
--- a/dev-python/pygit2/Manifest
+++ b/dev-python/pygit2/Manifest
@@ -1,2 +1,3 @@
 DIST pygit2-1.16.0.tar.gz 768597 BLAKE2B 
30e8df4c3f992e075117bdcda3d84e2ed0618dd8556ae8574f6238992cacff69ec3c7c22a6ab85f7857156fbb4b3e6e75bc899e71ea59efcb1f8dee61687355f
 SHA512 
297fc46f2e48e77937718e54b3ef2bb41a252348173fc5858ab4225fc3403a4d29efd2d6377508220d8bdf901f6cd9595c31601d8c0f77e9dc9a44f159a1d278
 DIST pygit2-1.18.0.tar.gz 773270 BLAKE2B 
3ca510c7e83f78ba37c62fa02562c93665d7393c69668d03f35b1952e9b0c32b94c4c642ec60d7320087f3703bfee31bd48718431e209dd1038501ef0ea654fd
 SHA512 
d082322b38c0d609f9603f838a8909626d2f59cde1f7aafcd80107233fbed2741cfd480c0d305a540cdf890bed4a47d4122b015f906e4a0ed891f66ab64e3408
+DIST pygit2-1.18.1.tar.gz 781426 BLAKE2B 
705b4397f6d8e2d1e46f06dcc5eb31e9e53acbf2eaeeffde954559b6d3216c6f2c76473653e3733b565330ba701524ba97cc58b3a7312a6fb6b03badabdc464b
 SHA512 
57a13e0dc4c09754d61c2bff462f4a413c84292cc88bfa811da4243b0bcff8e5eed0dc9ccb399cc3dac8c366462c5ade64fd89573a13c250dfece47432c688e1

diff --git a/dev-python/pygit2/pygit2-1.18.1.ebuild 
b/dev-python/pygit2/pygit2-1.18.1.ebuild
new file mode 100644
index 000000000000..34a65ac2a6c1
--- /dev/null
+++ b/dev-python/pygit2/pygit2-1.18.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for libgit2"
+HOMEPAGE="
+       https://github.com/libgit2/pygit2/
+       https://pypi.org/project/pygit2/
+"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~riscv ~x86"
+
+DEPEND="
+       <dev-libs/libgit2-1.10:=
+       >=dev-libs/libgit2-1.9.0:=
+"
+BDEPEND="
+       >=dev-python/cffi-1.17.0:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+       ${DEPEND}
+       ${BDEPEND}
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # unconditionally prevent it from using network
+       sed -i -e '/has_network/s:True:False:' test/utils.py || die
+}
+
+src_test() {
+       rm -r pygit2 || die
+       distutils-r1_src_test
+}

Reply via email to